com.jogamp.newt.event.awt

## Class AWTWindowAdapter

- java.lang.Object
- - com.jogamp.newt.event.awt.AWTAdapter
  - - com.jogamp.newt.event.awt.AWTWindowAdapter

- All Implemented Interfaces:
    ComponentListener, FocusListener, WindowListener, EventListener

      public class AWTWindowAdapter
      extends AWTAdapter
      implements ComponentListener, WindowListener, FocusListener

- - ### Field Summary

    - ### Fields inherited from class com.jogamp.newt.event.awt.AWTAdapter

      `DEBUG_IMPLEMENTATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTWindowAdapter()`
    `AWTWindowAdapter(Window downstream)`
    `AWTWindowAdapter(WindowListener newtListener, NativeSurfaceHolder nsProxy)`
    `AWTWindowAdapter(WindowListener newtListener, Window newtProxy)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AWTAdapter` | `addTo(Component awtComponent)` Due to the fact that some NEWT `NEWTEventListener` are mapped to more than one `EventListener`, this method is for your convenience to use this Adapter as a listener for all types. E.g.
    `void` | `componentHidden(ComponentEvent e)`
    `void` | `componentMoved(ComponentEvent e)`
    `void` | `componentResized(ComponentEvent e)`
    `void` | `componentShown(ComponentEvent e)`
    `void` | `focusGained(FocusEvent e)`
    `void` | `focusLost(FocusEvent e)`
    `AWTAdapter` | `removeFrom(Component awtComponent)`
    `AWTAdapter` | `removeWindowClosingFrom(Component awtComponent)`
    `void` | `windowActivated(WindowEvent e)`
    `void` | `windowClosed(WindowEvent e)`
    `void` | `windowClosing(WindowEvent e)`
    `void` | `windowDeactivated(WindowEvent e)`
    `void` | `windowDeiconified(WindowEvent e)`
    `void` | `windowIconified(WindowEvent e)`
    `void` | `windowOpened(WindowEvent e)`

    - ### Methods inherited from class com.jogamp.newt.event.awt.AWTAdapter

      `clear, getNativeSurfaceHolder, getNewtEventListener, getNewtWindow, setConsumeAWTEvent, setDownstream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTWindowAdapter

          public AWTWindowAdapter(WindowListener newtListener,
                          NativeSurfaceHolder nsProxy)

    - #### AWTWindowAdapter

          public AWTWindowAdapter(WindowListener newtListener,
                          Window newtProxy)

    - #### AWTWindowAdapter

          public AWTWindowAdapter(Window downstream)

    - #### AWTWindowAdapter

          public AWTWindowAdapter()

  - ### Method Detail

    - #### addTo

          public AWTAdapter addTo(Component awtComponent)

      Description copied from class: `AWTAdapter`
      Due to the fact that some NEWT `NEWTEventListener` are mapped to more than one `EventListener`, this method is for your convenience to use this Adapter as a listener for all types.
      E.g. `MouseListener` is mapped to `MouseListener` and `MouseMotionListener`.
      Specified by:
        `addTo` in class `AWTAdapter`

    - #### removeWindowClosingFrom

          public AWTAdapter removeWindowClosingFrom(Component awtComponent)

    - #### removeFrom

          public AWTAdapter removeFrom(Component awtComponent)

      Specified by:
        `removeFrom` in class `AWTAdapter`
      See Also:
        `AWTAdapter.addTo(java.awt.Component)`

    - #### focusGained

          public void focusGained(FocusEvent e)

      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Specified by:
        `focusLost` in interface `FocusListener`

    - #### componentResized

          public void componentResized(ComponentEvent e)

      Specified by:
        `componentResized` in interface `ComponentListener`

    - #### componentMoved

          public void componentMoved(ComponentEvent e)

      Specified by:
        `componentMoved` in interface `ComponentListener`

    - #### componentShown

          public void componentShown(ComponentEvent e)

      Specified by:
        `componentShown` in interface `ComponentListener`

    - #### componentHidden

          public void componentHidden(ComponentEvent e)

      Specified by:
        `componentHidden` in interface `ComponentListener`

    - #### windowActivated

          public void windowActivated(WindowEvent e)

      Specified by:
        `windowActivated` in interface `WindowListener`

    - #### windowClosed

          public void windowClosed(WindowEvent e)

      Specified by:
        `windowClosed` in interface `WindowListener`

    - #### windowClosing

          public void windowClosing(WindowEvent e)

      Specified by:
        `windowClosing` in interface `WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(WindowEvent e)

      Specified by:
        `windowDeactivated` in interface `WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(WindowEvent e)

      Specified by:
        `windowDeiconified` in interface `WindowListener`

    - #### windowIconified

          public void windowIconified(WindowEvent e)

      Specified by:
        `windowIconified` in interface `WindowListener`

    - #### windowOpened

          public void windowOpened(WindowEvent e)

      Specified by:
        `windowOpened` in interface `WindowListener`

Copyright 2010 JogAmp Community.